%stiansel

function cart_cord = forward(joint_angles)
%Forward kinematics given the 3 joint angles.



%Merk: bruker degtorad() da TtB er definert med cos() ikke cosd(). Cosd()
%var ikke venner med symbolsk utregning.

p1 = joint_angles(1);
p2 = joint_angles(2);
p3 = joint_angles(3);

t1 = degtorad(p1);
t2 = degtorad(p2);
t3 = degtorad(p3);

L1 = 281;
L2 = 238.93;
L3 = 231;
L4 = 50;

%Definerer transformasjonene for hvert ledd:
a1 = [cos(t1) 0 sin(t1) 0; sin(t1) 0 -cos(t1) 0; 0 1 0 L1; 0 0 0 1];
a2 = [cos(t2) -sin(t2) 0 L2*cos(t2)
    sin(t2) cos(t2) 0 L2*sin(t2); 0 0 1 0; 0 0 0 1];
a3 = [cos(t3) -sin(t3) 0 (L3+L4)*cos(t3)
    sin(t3) cos(t3) 0 (L3+L4)*sin(t3); 0 0 1 0; 0 0 0 1];

TtB = a1*a2*a3;  %Regner ut transformasjonsmatrisen TtB


%matrisen definerer n pB sine koordinater og sluttpunktets rotasjon

cart_cord = TtB(1:3,4); %henter ut x, y og z i kolonne 4

end