function angles = getStatus(robot)

%Tell our controller to return all joint angles
servoCmd(robot, 4, 0);

%Fetch response:
response = fread(robot.ctrl, 6, 'int8')

angles = zeros(1, 3);

%Recieve and translate the responses from each joint
angles(1) = double(typecast(int8(response(1:2)), 'int16'))/256.0;
angles(2) = -double(typecast(int8(response(3:4)), 'int16'))/256.0;
angles(3) = -double(typecast(int8(response(5:6)), 'int16'))/256.0;

%Print the response
fprintf(' Th%d: %.4f%c,', 1, angles(1), 176);
fprintf(' Th%d: %.4f%c,', 2, angles(2), 176);
fprintf(' Th%d: %.4f%c\n', 3, angles(3), 176);

end