function lineMove(robot, startPos, endPos)
%Tracks the robot from the coordinates in startPos to endPos
%startPos X, Y, Z
%endPos X, Y, Z

movestep = 2;
stepDelay = 1/36;
%stepDelay = 0.5;

%Find the distance and calculate the coordinates we're going to track
dist = sqrt((startPos(1)-endPos(1))^2 + (startPos(2)-endPos(2))^2 + (startPos(3)-endPos(3))^2);
steps = dist/movestep;
if steps == 0
    steps = 1;
end;

x = linspace(startPos(1), endPos(1), steps);
y = linspace(startPos(2), endPos(2), steps);
z = linspace(startPos(3), endPos(3), steps);

%Order a move to start
anglesStart = inverse([x(1), y(1), z(1)]);
setRobotAngles(robot, anglesStart(1), anglesStart(2), anglesStart(3));

%Wait for robot to reach start position (if needed)
angles = getStatus(robot);
dist = sqrt((anglesStart(2)-angles(2))^2 + (anglesStart(3)-angles(3))^2);
while dist > 1
    %Wait until start position is reached-ish
    pause(stepDelay);
    angles = getStatus(robot);
    dist = sqrt((anglesStart(2)-angles(2))^2 + (anglesStart(3)-angles(3))^2);
    fprintf('Moving to start position. Distance: %d\n', dist);
end

count = 0;

for i=2:steps
   angles = inverse([x(i), y(i), z(i)]);
   disp(angles);
   
   setRobotAngles(robot, angles(1), angles(2), angles(3));
   
   %Draw robot state:
   drawState(angles);
   pause(stepDelay);
   
   %Save all frames:
   %figname = sprintf('frame%d.jpg', count);
   %hgexport(gcf, figname, hgexport('factorystyle'), 'Format', 'jpeg');
   count = count + 1;
end
end