%stiansel

function cart_cord = forward(joint_angles)
%Forward kinematics given the 3 joint angles.



%Merk: bruker degtorad() da TtB er definert med cos() ikke cosd(). Cosd()
%var ikke venner med symbolsk utregning.

p1 = joint_angles(1);
p2 = joint_angles(2);
p3 = joint_angles(3);

%Forteller matlab at vi har flgende symbolske verdier:
syms t1 t2 t3 L1 L2 L3 L4;

%Definerer transformasjonene for hvert ledd:
a1 = [cos(t1) 0 sin(t1) 0; sin(t1) 0 -cos(t1) 0; 0 1 0 L1; 0 0 0 1];
a2 = [cos(t2) -sin(t2) 0 L2*cos(t2)
    sin(t2) cos(t2) 0 L2*sin(t2); 0 0 1 0; 0 0 0 1];
a3 = [cos(t3) -sin(t3) 0 (L3+L4)*cos(t3)
    sin(t3) cos(t3) 0 (L3+L4)*sin(t3); 0 0 1 0; 0 0 0 1];

TtB = a1*a2*a3  %Regner ut transformasjonsmatrisen TtB

%Setter inn de nskede vinklene:
TtB=subs(TtB,t1,degtorad(p1));
TtB=subs(TtB,t2,degtorad(p2));
TtB=subs(TtB,t3,degtorad(p3));

%Setter inn mlene for robotens leddlengder:
TtB=subs(TtB,L1,281);
TtB=subs(TtB,L2,238.93);
TtB=subs(TtB,L3,231);
TtB=subs(TtB,L4,50);
%matrisen definerer n pB sine koordinater og sluttpunktets rotasjon

cart_cord = TtB(1:3,4); %henter ut x, y og z i kolonne 4

end